<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__csd__enums" kind="group">
    <compoundname>group_csd_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__csd__enums_1ga6cde526987c66fff895f48902589f979" kind="enum" prot="public" static="no">
        <name>cy_en_csd_status_t</name>
        <enumvalue id="group__group__csd__enums_1gga6cde526987c66fff895f48902589f979a0c2b57b4095e1c232b5c41eab3298098" prot="public">
          <name>CY_CSD_SUCCESS</name>
          <initializer>= 0x00U</initializer>
          <briefdescription>
<para>Successful. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__csd__enums_1gga6cde526987c66fff895f48902589f979a711355d404f5a42b304960533474c987" prot="public">
          <name>CY_CSD_BAD_PARAM</name>
          <initializer>= CY_CSD_ID | CY_PDL_STATUS_ERROR | 0x01U</initializer>
          <briefdescription>
<para>One or more invalid parameters. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__csd__enums_1gga6cde526987c66fff895f48902589f979a0899108469f2574d39e14fa3262aec11" prot="public">
          <name>CY_CSD_BUSY</name>
          <initializer>=  CY_CSD_ID | CY_PDL_STATUS_ERROR | 0x02U</initializer>
          <briefdescription>
<para>The CSD HW block performs conversion. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__csd__enums_1gga6cde526987c66fff895f48902589f979ab3d676d337a1b5c9a524b1574524a715" prot="public">
          <name>CY_CSD_LOCKED</name>
          <initializer>=  CY_CSD_ID | CY_PDL_STATUS_ERROR | 0x03U</initializer>
          <briefdescription>
<para>The CSD HW block is captured by another middleware. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_csd_status_t: </bold><linebreak />CSD status definitions.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="443" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="429" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="430" />
      </memberdef>
      <memberdef id="group__group__csd__enums_1ga281a1b4a5cddb0bee365a7835985ccba" kind="enum" prot="public" static="no">
        <name>cy_en_csd_key_t</name>
        <enumvalue id="group__group__csd__enums_1gga281a1b4a5cddb0bee365a7835985ccbaa6ecb94eb2fc43363fdeb79fa9dd965b2" prot="public">
          <name>CY_CSD_NONE_KEY</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>The CSD HW block is unused and not captured by any middleware. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__csd__enums_1gga281a1b4a5cddb0bee365a7835985ccbaaa7ed46ced5551442fae3aaf0ea142686" prot="public">
          <name>CY_CSD_USER_DEFINED_KEY</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>The CSD HW block is captured by the application program directly to implement a customer's specific case. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__csd__enums_1gga281a1b4a5cddb0bee365a7835985ccbaabbe482423a7b32c4785787e8516566df" prot="public">
          <name>CY_CSD_CAPSENSE_KEY</name>
          <initializer>= 2U</initializer>
          <briefdescription>
<para>The CSD HW block is captured by a CapSense middleware. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__csd__enums_1gga281a1b4a5cddb0bee365a7835985ccbaa377c1ac1c0a9dbe04f55c925ed155df9" prot="public">
          <name>CY_CSD_ADC_KEY</name>
          <initializer>= 3U</initializer>
          <briefdescription>
<para>The CSD HW block is captured by a ADC middleware. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__csd__enums_1gga281a1b4a5cddb0bee365a7835985ccbaa0c062dec77d1f06ba5696366bf278b77" prot="public">
          <name>CY_CSD_IDAC_KEY</name>
          <initializer>= 4U</initializer>
          <briefdescription>
<para>The CSD HW block is captured by a IDAC middleware. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__csd__enums_1gga281a1b4a5cddb0bee365a7835985ccbaadf83016e9c4fa18dd49d52af8e5b25d3" prot="public">
          <name>CY_CSD_CMP_KEY</name>
          <initializer>= 5U</initializer>
          <briefdescription>
<para>The CSD HW block is captured by a CMP middleware. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_csd_key_t: </bold><linebreak />Definitions of upper level keys that use the driver.</para></briefdescription>
        <detaileddescription>
<para>Each middleware has a unique key assigned. When middleware successfully captures the CSD HW block, this key is placed into the CSD driver context structure. All attempts to capture the CSD HW block by other middleware are rejected. When the first middleware releases the CSD HW block, CY_CSD_NONE_KEY is written to the lockKey variable of the CSD driver context structure and any other middleware can capture the CSD HW block. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="479" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="456" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="457" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>